#
# spec file for package jack-rack
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           jack-rack
BuildRequires:  automake
BuildRequires:  jack-devel
BuildRequires:  ladspa-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  liblrdf-devel
BuildRequires:  libraptor-devel
BuildRequires:  update-desktop-files
Summary:        LADSPA Effects Rack for JACK
Version:        1.4.7
Release:        144.3
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       jack ladspa
Source:         %{name}-%{version}.tar.bz2
Patch:          jack-rack-undeprec.dif
Patch1:         jack-rack-inc-fix.diff
Patch2:         jack-rack-gtk-old-tooltip-fix.diff
Patch3:         jack-rack-ld_fix.diff
Url:            http://jack-rack.sf.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
JACK Rack is a stereo LADSPA effects rack for the JACK audio API.  You
can insert LADSPA effects through JACK Rack. It uses GTK+ 2 for the
GUI.



Authors:
--------
    Bob Ham <node@users.sourceforge.net>

%prep
%setup -q
%patch
%patch1
%if %suse_version < 1030
%patch2
%endif
%patch3

%build
autoreconf -fi
%configure \
    --disable-desktop-inst
make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file jack-rack AudioVideo Music
%find_lang %{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/applications/*
%dir %{_datadir}/dtds
%{_datadir}/dtds/*
%{_datadir}/jack-rack
%{_datadir}/pixmaps/*.png

%changelog
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 suse-tux@gmx.de
- added Patch3 (jack-rack-ld_fix.diff) to fix the build for factory
* Sat Sep  3 2011 crrodriguez@opensuse.org
- Fix build with as-needed and no-add-needed
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Wed Nov 28 2007 tiwai@suse.de
- updated to version 1.4.7:
  * Use the correct channel numbers when sending control messages
  * Use the new GTK tooltips API
  * Removed support for the old LADCCA interface
- fix build with old gtk version
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Jul 30 2007 tiwai@suse.de
- updated to verison 1.4.5:
  * JACK connection loss now employs automatic reconnect
  * widgets controlled via MIDI now get all their channels updated
  * added more translation
  * corrected MIDI controller numbering
  * internal: introduced flexible status and error handlers
  * Use the new GTK about dialog and toolbar APIs
  * Use the correct dialogs when opening and saving files.
  * Disconnect safely from JACK upon shutdown
  * Make the configure script check for the LADSPA header.
  * Fix LASH support
- updated to version 1.4.6:
  * Updated translations
  * More robustness for buggy LADSPA plugins
  * Installation fixes
  * Allow effects to be toggled on and off by MIDI
  * Assign default control values to the correct controls
  * Experimental support for 14-bit MIDI control messages
  * Allow the range of values that MIDI controls cover to be
    chosen
  * Ellipsize the text in the splash screen
  * When the RDF description of a plugin contains named points,
    show the value as a combo box
  * Added a script (ecarack) to run an approximation of a JACK Rack
    config using ecasound
  * Fix a bug with integer controls where they'd only set the first
    channel's value when locked.
* Thu May  3 2007 wstephenson@suse.de
- libraptor1-devel -> libraptor-devel
* Thu May  3 2007 lrupp@suse.de
- raptor-devel -> libraptor1-devel
* Tue Apr 17 2007 tiwai@suse.de
- fix buildrequires ladspa -> ladspa-devel
* Tue Apr  3 2007 tiwai@suse.de
- Add jack to Requires explicitly.
* Sun Jan  7 2007 ro@suse.de
- GNOME moved to /usr
* Sat Oct  7 2006 aj@suse.de
- Cleanup BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 tiwai@suse.de
- removed glib* from neededforbuild.
* Tue Oct 11 2005 tiwai@suse.de
- removed ladcca support (temporarily)
- fixed some compile warnings.
* Thu Oct  6 2005 tiwai@suse.de
- updated to 1.4.4.
* Mon Apr 11 2005 tiwai@suse.de
- fix the build with gcc-4.0.
* Mon Feb 14 2005 tiwai@suse.de
- added resmgr to neededforbuild.
* Mon Jan 31 2005 ro@suse.de
- fix build: do not define GNOME_DISABLE_DEPRECATED
* Tue Sep 14 2004 mskibbe@suse.de
- fix specfile: create icon in Multimedia Music
* Tue May 18 2004 ro@suse.de
- don't define GTK_DISABLE_DEPRECATED (stuff used in ui.c)
* Mon Feb 16 2004 tiwai@suse.de
- build as non-root.
* Thu Jan 29 2004 ro@suse.de
- update to 1.4.3 to fix build
* Tue Aug  5 2003 tiwai@suse.de
- added the call of suse_update_desktop_file macro.
* Fri Jul 25 2003 tiwai@suse.de
- fixed the inclusion of glib.h.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jul  7 2003 tiwai@suse.de
- updated to version 1.4.2.
* Thu Jul  3 2003 tiwai@suse.de
- initial version: 1.4.1
